Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class MergeAttributes

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.MergeAttributes

    public class MergeAttributes

extends FeatureConstruction

This operator merges two attributes. It is intended for sparsely populated attributes (with many NULL values, say at least 95 per cent). The target attribute is merged with the 'AttributeToMerge'. Whereever one attribute has a value while the other has NULL, the value appears in the output attribute. Whereever both attributes have a value, either the target attribute wins, or a new value is introduced that represents this combination of values. This depends on the entry in parameter 'ClashResolvation'. The attributes to be merged must be CATEGORIAL; numeric attributes have to be discretised first.

Version:
  $Id: MergeAttributes.java,v 1.3 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler

Field Summary
`static java.lang.String` | `PARAMETER_CLASH_RESOLVE`
`static java.lang.String` | `PARAMETER_MERGE_ATTRIB`

Constructor Summary
`MergeAttributes()`

Method Summary
`java.lang.String` | `generateSQL(Column targetAttributeColumn)` Abstract method to be implemented by all subclasses.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_MERGE_ATTRIB

    public static final java.lang.String PARAMETER_MERGE_ATTRIB

See Also:
  Constant Field Values

### PARAMETER_CLASH_RESOLVE

    public static final java.lang.String PARAMETER_CLASH_RESOLVE

See Also:
  Constant Field Values

Constructor Detail

### MergeAttributes

    public MergeAttributes()

Method Detail

### generateSQL

    public java.lang.String generateSQL(Column targetAttributeColumn)
                                 throws M4CompilerError

  Description copied from class: `FeatureConstruction`
  Abstract method to be implemented by all subclasses. In this method the SQL definition for the Column which this operator creates is created.

  Specified by:
    `generateSQL` in class `FeatureConstruction`
  Parameters:
    `targetAttributeColumn` - The Column to which this FeatureConstruction Operator is applied. Some subclasses may ignore this parameter.
  Returns:
    An SQL definition for the newly constructed Column.
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005